Package org.apache.any23.vocab

## Class LKIFCoreNorm

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.LKIFCoreNorm

-     public class LKIFCoreNorm
      extends Vocabulary

  An implementation of the lkif-core vocabulary which is a library of ontologies relevant for the legal domain. The library consists of 15 modules, each of which describes a set of closely related concepts from both legal and commonsense domains.

  The norm module is an extension primarily on the expression module where norms are defined as qualifications. Please refer to Deliverable 1.1 for a more in-depth description of the underlying theory. It furthermore defines a number of legal sources, e.g. legal documents, customary law etc., and a typology of rights and powers, cf. Sartor (2006), Rubino et al. (2006)

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `Action_Power` |
    `org.eclipse.rdf4j.model.IRI` | `Allowed` |
    `org.eclipse.rdf4j.model.IRI` | `Allowed_And_Disallowed` |
    `org.eclipse.rdf4j.model.IRI` | `allowed_by` |
    `org.eclipse.rdf4j.model.IRI` | `allows` |
    `org.eclipse.rdf4j.model.IRI` | `Belief_In_Violation` |
    `org.eclipse.rdf4j.model.IRI` | `Code` |
    `org.eclipse.rdf4j.model.IRI` | `Code_of_Conduct` |
    `org.eclipse.rdf4j.model.IRI` | `commanded_by` |
    `org.eclipse.rdf4j.model.IRI` | `commands` |
    `org.eclipse.rdf4j.model.IRI` | `Contract` |
    `org.eclipse.rdf4j.model.IRI` | `Custom` |
    `org.eclipse.rdf4j.model.IRI` | `Customary_Law` |
    `org.eclipse.rdf4j.model.IRI` | `Declarative_Power` |
    `org.eclipse.rdf4j.model.IRI` | `Definitional_Expression` |
    `org.eclipse.rdf4j.model.IRI` | `Directive` |
    `org.eclipse.rdf4j.model.IRI` | `Disallowed` |
    `org.eclipse.rdf4j.model.IRI` | `disallowed_by` |
    `org.eclipse.rdf4j.model.IRI` | `Disallowed_Intention` |
    `org.eclipse.rdf4j.model.IRI` | `disallows` |
    `org.eclipse.rdf4j.model.IRI` | `Enabling_Power` |
    `org.eclipse.rdf4j.model.IRI` | `Evaluative_Expression` |
    `org.eclipse.rdf4j.model.IRI` | `Exclusionary_Right` |
    `org.eclipse.rdf4j.model.IRI` | `Existential_Expression` |
    `org.eclipse.rdf4j.model.IRI` | `Hohfeldian_Power` |
    `org.eclipse.rdf4j.model.IRI` | `Immunity` |
    `org.eclipse.rdf4j.model.IRI` | `International_Agreement` |
    `org.eclipse.rdf4j.model.IRI` | `International_Arbitration` |
    `org.eclipse.rdf4j.model.IRI` | `Legal_Doctrine` |
    `org.eclipse.rdf4j.model.IRI` | `Legal_Document` |
    `org.eclipse.rdf4j.model.IRI` | `Legal_Expression` |
    `org.eclipse.rdf4j.model.IRI` | `Legal_Source` |
    `org.eclipse.rdf4j.model.IRI` | `Liability_Right` |
    `org.eclipse.rdf4j.model.IRI` | `Liberty_Right` |
    `org.eclipse.rdf4j.model.IRI` | `Mandatory_Precedent` |
    `org.eclipse.rdf4j.model.IRI` | `Non_binding_International_Agreement` |
    `org.eclipse.rdf4j.model.IRI` | `Norm` |
    `org.eclipse.rdf4j.model.IRI` | `normatively_comparable` |
    `org.eclipse.rdf4j.model.IRI` | `normatively_equivalent_or_better` |
    `org.eclipse.rdf4j.model.IRI` | `normatively_equivalent_or_worse` |
    `org.eclipse.rdf4j.model.IRI` | `normatively_not_equivalent` |
    `org.eclipse.rdf4j.model.IRI` | `Normatively_Qualified` |
    `org.eclipse.rdf4j.model.IRI` | `normatively_strictly_better` |
    `org.eclipse.rdf4j.model.IRI` | `normatively_strictly_worse` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `Obligation` |
    `org.eclipse.rdf4j.model.IRI` | `Obligative_Right` |
    `org.eclipse.rdf4j.model.IRI` | `Obliged` |
    `org.eclipse.rdf4j.model.IRI` | `Observation_of_Violation` |
    `org.eclipse.rdf4j.model.IRI` | `Permission` |
    `org.eclipse.rdf4j.model.IRI` | `Permissive_Right` |
    `org.eclipse.rdf4j.model.IRI` | `Persuasive_Precedent` |
    `org.eclipse.rdf4j.model.IRI` | `Potestative_Expression` |
    `org.eclipse.rdf4j.model.IRI` | `Potestative_Right` |
    `org.eclipse.rdf4j.model.IRI` | `Precedent` |
    `org.eclipse.rdf4j.model.IRI` | `Proclamation` |
    `org.eclipse.rdf4j.model.IRI` | `Prohibition` |
    `org.eclipse.rdf4j.model.IRI` | `Qualificatory_Expression` |
    `org.eclipse.rdf4j.model.IRI` | `Regulation` |
    `org.eclipse.rdf4j.model.IRI` | `Resolution` |
    `org.eclipse.rdf4j.model.IRI` | `Right` |
    `org.eclipse.rdf4j.model.IRI` | `Soft_Law` |
    `org.eclipse.rdf4j.model.IRI` | `Statute` |
    `org.eclipse.rdf4j.model.IRI` | `Strictly_Allowed` |
    `org.eclipse.rdf4j.model.IRI` | `Strictly_Disallowed` |
    `org.eclipse.rdf4j.model.IRI` | `strictly_equivalent` |
    `org.eclipse.rdf4j.model.IRI` | `Treaty` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LKIFCoreNorm` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### Hohfeldian_Power

          public final org.eclipse.rdf4j.model.IRI Hohfeldian_Power

    - #### Normatively_Qualified

          public final org.eclipse.rdf4j.model.IRI Normatively_Qualified

    - #### Code_of_Conduct

          public final org.eclipse.rdf4j.model.IRI Code_of_Conduct

    - #### Regulation

          public final org.eclipse.rdf4j.model.IRI Regulation

    - #### Soft_Law

          public final org.eclipse.rdf4j.model.IRI Soft_Law

    - #### Strictly_Disallowed

          public final org.eclipse.rdf4j.model.IRI Strictly_Disallowed

    - #### Permissive_Right

          public final org.eclipse.rdf4j.model.IRI Permissive_Right

    - #### Proclamation

          public final org.eclipse.rdf4j.model.IRI Proclamation

    - #### Legal_Expression

          public final org.eclipse.rdf4j.model.IRI Legal_Expression

    - #### Qualificatory_Expression

          public final org.eclipse.rdf4j.model.IRI Qualificatory_Expression

    - #### Enabling_Power

          public final org.eclipse.rdf4j.model.IRI Enabling_Power

    - #### Existential_Expression

          public final org.eclipse.rdf4j.model.IRI Existential_Expression

    - #### Persuasive_Precedent

          public final org.eclipse.rdf4j.model.IRI Persuasive_Precedent

    - #### Belief_In_Violation

          public final org.eclipse.rdf4j.model.IRI Belief_In_Violation

    - #### Strictly_Allowed

          public final org.eclipse.rdf4j.model.IRI Strictly_Allowed

    - #### Legal_Doctrine

          public final org.eclipse.rdf4j.model.IRI Legal_Doctrine

    - #### Resolution

          public final org.eclipse.rdf4j.model.IRI Resolution

    - #### Evaluative_Expression

          public final org.eclipse.rdf4j.model.IRI Evaluative_Expression

    - #### Liberty_Right

          public final org.eclipse.rdf4j.model.IRI Liberty_Right

    - #### Declarative_Power

          public final org.eclipse.rdf4j.model.IRI Declarative_Power

    - #### Contract

          public final org.eclipse.rdf4j.model.IRI Contract

    - #### Custom

          public final org.eclipse.rdf4j.model.IRI Custom

    - #### Exclusionary_Right

          public final org.eclipse.rdf4j.model.IRI Exclusionary_Right

    - #### International_Agreement

          public final org.eclipse.rdf4j.model.IRI International_Agreement

    - #### Customary_Law

          public final org.eclipse.rdf4j.model.IRI Customary_Law

    - #### Action_Power

          public final org.eclipse.rdf4j.model.IRI Action_Power

    - #### Legal_Source

          public final org.eclipse.rdf4j.model.IRI Legal_Source

    - #### Statute

          public final org.eclipse.rdf4j.model.IRI Statute

    - #### International_Arbitration

          public final org.eclipse.rdf4j.model.IRI International_Arbitration

    - #### Immunity

          public final org.eclipse.rdf4j.model.IRI Immunity

    - #### Treaty

          public final org.eclipse.rdf4j.model.IRI Treaty

    - #### Mandatory_Precedent

          public final org.eclipse.rdf4j.model.IRI Mandatory_Precedent

    - #### Code

          public final org.eclipse.rdf4j.model.IRI Code

    - #### Allowed

          public final org.eclipse.rdf4j.model.IRI Allowed

    - #### Observation_of_Violation

          public final org.eclipse.rdf4j.model.IRI Observation_of_Violation

    - #### Legal_Document

          public final org.eclipse.rdf4j.model.IRI Legal_Document

    - #### Potestative_Expression

          public final org.eclipse.rdf4j.model.IRI Potestative_Expression

    - #### Norm

          public final org.eclipse.rdf4j.model.IRI Norm

    - #### Potestative_Right

          public final org.eclipse.rdf4j.model.IRI Potestative_Right

    - #### Allowed_And_Disallowed

          public final org.eclipse.rdf4j.model.IRI Allowed_And_Disallowed

    - #### Obligation

          public final org.eclipse.rdf4j.model.IRI Obligation

    - #### Disallowed_Intention

          public final org.eclipse.rdf4j.model.IRI Disallowed_Intention

    - #### Permission

          public final org.eclipse.rdf4j.model.IRI Permission

    - #### Liability_Right

          public final org.eclipse.rdf4j.model.IRI Liability_Right

    - #### Right

          public final org.eclipse.rdf4j.model.IRI Right

    - #### Obliged

          public final org.eclipse.rdf4j.model.IRI Obliged

    - #### Non_binding_International_Agreement

          public final org.eclipse.rdf4j.model.IRI Non_binding_International_Agreement

    - #### Directive

          public final org.eclipse.rdf4j.model.IRI Directive

    - #### Disallowed

          public final org.eclipse.rdf4j.model.IRI Disallowed

    - #### Definitional_Expression

          public final org.eclipse.rdf4j.model.IRI Definitional_Expression

    - #### Prohibition

          public final org.eclipse.rdf4j.model.IRI Prohibition

    - #### Precedent

          public final org.eclipse.rdf4j.model.IRI Precedent

    - #### Obligative_Right

          public final org.eclipse.rdf4j.model.IRI Obligative_Right

    - #### normatively_comparable

          public final org.eclipse.rdf4j.model.IRI normatively_comparable

    - #### normatively_equivalent_or_better

          public final org.eclipse.rdf4j.model.IRI normatively_equivalent_or_better

    - #### disallows

          public final org.eclipse.rdf4j.model.IRI disallows

    - #### normatively_strictly_worse

          public final org.eclipse.rdf4j.model.IRI normatively_strictly_worse

    - #### normatively_not_equivalent

          public final org.eclipse.rdf4j.model.IRI normatively_not_equivalent

    - #### normatively_strictly_better

          public final org.eclipse.rdf4j.model.IRI normatively_strictly_better

    - #### allowed_by

          public final org.eclipse.rdf4j.model.IRI allowed_by

    - #### disallowed_by

          public final org.eclipse.rdf4j.model.IRI disallowed_by

    - #### allows

          public final org.eclipse.rdf4j.model.IRI allows

    - #### normatively_equivalent_or_worse

          public final org.eclipse.rdf4j.model.IRI normatively_equivalent_or_worse

    - #### commands

          public final org.eclipse.rdf4j.model.IRI commands

    - #### commanded_by

          public final org.eclipse.rdf4j.model.IRI commanded_by

    - #### strictly_equivalent

          public final org.eclipse.rdf4j.model.IRI strictly_equivalent

  - ### Method Detail

    - #### getInstance

          public static LKIFCoreNorm getInstance()